const path = require('path');

function resolve (dir) {
  return path.join(__dirname, dir);
}

module.exports = {
  publicPath: './',
  devServer: {
    // can be overwritten by process.env.HOST
    host: '0.0.0.0',  
    port: 8080
  },
  chainWebpack: config => {
    config.resolve.alias
      .set('@', resolve('src'))
      .set('src', resolve('src'))
      .set('common', resolve('src/common'))
      .set('components', resolve('src/components'));
  },
  pluginOptions: {
      electronBuilder: {
          builderOptions: {
              win: {
                  icon: './public/iscm.ico'
              },
              mac: {
                  icon: './public/iscm.png'
              },
			  // productName: '箭冠运营中心系统',
			  productName: 'iSCM智慧供应链系统',
			  // productName: '箭冠系统本地开发版',
			  nsis: {
				  "oneClick": false, // 一键安装
				  "allowToChangeInstallationDirectory": true, // 允许修改安装目录
			  },
          }
      }
  }
};